# List companies

### Input

User needs to provide one of&#x20;

* `companyNumber`&#x20;
* `regon`
* `companyName`

<table><thead><tr><th width="335">Attribute</th><th width="176">Type</th><th>Description</th></tr></thead><tbody><tr><td>companyName</td><td>String</td><td>Search phrase (at least 3 characters)</td></tr><tr><td>regon</td><td>String</td><td>REGON number</td></tr><tr><td>companyNumber</td><td>String</td><td>Company number, Polish NIP</td></tr><tr><td>companyType</td><td>String</td><td><p>Company type, possible values:</p><ul><li><code>SOLE_PROPRIETORSHIP</code></li><li><code>CIVIL_COMPANY</code></li></ul></td></tr></tbody></table>

### Output

**Ceidg**

<table><thead><tr><th width="311">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>companies</td><td><code>array</code></td><td>List of companies</td></tr><tr><td>count</td><td><code>number</code> </td><td>Results count</td></tr></tbody></table>

#### Company

<table><thead><tr><th width="316">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>The unique identifier of the sole proprietorship</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>The name of the sole proprietorship</td></tr><tr><td><code>registerDate</code></td><td><code>string</code></td><td>The date when the sole proprietorship was registered</td></tr><tr><td><a href="#soleproprietorship.registryaddress"><code>registryAddress</code></a></td><td><code>object</code></td><td>The address of the sole proprietorship as registered with the authorities</td></tr><tr><td><a href="#correspondenceaddress"><code>correspondenceAddress</code></a></td><td><code>object</code></td><td>The correspondence address of the sole proprietorship</td></tr><tr><td><a href="#owner"><code>owner</code></a></td><td><code>object</code></td><td>Information about the owner of the sole proprietorship</td></tr><tr><td><a href="#citizenship"><code>citizenship</code></a></td><td><code>array of objects</code></td><td>The citizenship(s) of the owner</td></tr><tr><td><a href="#activityclassifications"><code>activityClassifications</code></a></td><td><code>array of objects</code></td><td>The activity classifications of the sole proprietorship</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The current status of the sole proprietorship</td></tr></tbody></table>

#### registryAddress

| Attribute    | Type     | Description                               |
| ------------ | -------- | ----------------------------------------- |
| `street`     | `string` | The street address of the registry        |
| `city`       | `string` | The city where the registry is located    |
| `country`    | `string` | The country where the registry is located |
| `postalCode` | `string` | The postal code of the registry           |
| `terc`       | `string` | The TERC code of the registry             |
| `simc`       | `string` | The SIMC code of the registry             |
| `ulic`       | `string` | The ULIC code of the registry             |

#### correspondenceAddress

| Attribute    | Type     | Description                                     |
| ------------ | -------- | ----------------------------------------------- |
| `street`     | `string` | The street address of the correspondence        |
| `city`       | `string` | The city where the correspondence is located    |
| `country`    | `string` | The country where the correspondence is located |
| `postalCode` | `string` | The postal code of the correspondence           |
| `terc`       | `string` | The TERC code of the correspondence             |
| `simc`       | `string` | The SIMC code of the correspondence             |
| `ulic`       | `string` | The ULIC code of the correspondence             |

#### owner

| Attribute | Type     | Description                   |
| --------- | -------- | ----------------------------- |
| `name`    | `string` | The first name of the owner   |
| `surname` | `string` | The last name of the owner    |
| `nip`     | `string` | The NIP number of the owner   |
| `regon`   | `string` | The REGON number of the owner |

#### citizenship

| Attribute | Type     | Description                                             |
| --------- | -------- | ------------------------------------------------------- |
| `symbol`  | `string` | The two-letter symbol of the citizenship                |
| `country` | `string` | The name of the country associated with the citizenship |

#### activityClassifications

| Attribute | Type     | Description                              |
| --------- | -------- | ---------------------------------------- |
| `value`   | `string` | The value of the activity classification |
| `type`    | `string` | The type of the activity classification  |

#### Example response

```json
{
    "ceidg": {
        "companies": [
            {
                "id": "84e25402-e8c0-4f11-b012-6b2f88645c8f",
                "name": "PAWEŁ NIEWOLIŃSKI, WSPÓLNIK SPÓŁKI CYWILNEJ \"PIZZA PLACE'",
                "registerDate": "2006-06-01",
                "registryAddress": {
                    "street": "ul. Gołębia 13",
                    "city": "Puszczykowo",
                    "country": "PL",
                    "postalCode": "62-040",
                    "voivodeship": "WIELKOPOLSKIE",
                    "terc": "3021021",
                    "simc": "0971376",
                    "ulic": "05761"
                },
                "correspondenceAddress": {
                    "street": "ul. Sosnowa 21",
                    "city": "Lesko",
                    "country": "PL",
                    "postalCode": "35-500",
                    "terc": "1827011",
                    "simc": "0853510"
                },
                "owner": {
                    "name": "PAWEŁ",
                    "surname": "NIEWOLIŃSKI",
                    "nip": "7772793547",
                    "regon": "300317928"
                },
                "citizenship": [],
                "activityClassifications": [],
                "status": "ACTIVE"
            },
            {
                "id": "bbbab5ed-50ec-4d92-a908-9e0d86501ed0",
                "name": "MERKATUS Krzysztof Bet, WSPÓLNIK SPÓŁKI CYWILNEJ \"PIZZA PLACE\"",
                "registerDate": "2007-10-01",
                "registryAddress": {
                    "street": "ul. Dolna Wilda 88/81",
                    "city": "Poznań",
                    "country": "PL",
                    "postalCode": "61-501",
                    "voivodeship": "WIELKOPOLSKIE",
                    "terc": "3064011",
                    "simc": "0969400"
                },
                "owner": {
                    "name": "Krzysztof",
                    "surname": "Bet",
                    "nip": "6661986395",
                    "regon": "301035149"
                },
                "citizenship": [],
                "activityClassifications": [],
                "status": "ACTIVE"
            }
        ],
        "count": 2
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/ceidg/list-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
